package com.zanxiang.common.utils;

import com.zanxiang.module.util.DateUtil;

import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

/**
 * 时间工具类
 *
 * @author ruoyi
 */
public class DateUtils extends DateUtil {

    /**
     * 验证当前时间是否为当天
     *
     * @param time
     * @return
     */
    public static boolean isToday(Date time) {
        return isThisTime(time, "yyyy-MM-dd");
    }

    /**
     * 验证当前时间是否为当月
     *
     * @param time
     * @return
     */
    public static boolean isThisMonth(Date time) {
        return isThisTime(time, "yyyy-MM");
    }

    /**
     * 验证当前时间是否为本周
     *
     * @param time
     * @return
     */
    public static boolean isThisWeek(Date time) {
        Calendar calendar = Calendar.getInstance();
        int currentWeek = calendar.get(Calendar.WEEK_OF_YEAR);
        calendar.setTime(time);
        int paramWeek = calendar.get(Calendar.WEEK_OF_YEAR);
        if (paramWeek == currentWeek) {
            return true;
        }
        return false;
    }

    /**
     * 验证日期规则
     *
     * @param date
     * @param pattern
     * @return
     */
    private static boolean isThisTime(Date date, String pattern) {
        SimpleDateFormat sdf = new SimpleDateFormat(pattern);
        String param = sdf.format(date);
        String now = sdf.format(new Date());
        if (param.equals(now)) {
            return true;
        }
        return false;
    }
}
