package com.zanxiang.sdk.service.Impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zanxiang.mybatis.entity.Channel;
import com.zanxiang.mybatis.mapper.ChannelMapper;
import com.zanxiang.sdk.service.ChannelService;
import lombok.extern.slf4j.Slf4j;
import org.apache.logging.log4j.util.Strings;
import org.springframework.stereotype.Service;

/**
 * @author : lingfeng
 * @time : 2022-06-30
 * @description : 渠道
 */
@Slf4j
@Service
public class ChannelServiceImpl extends ServiceImpl<ChannelMapper, Channel> implements ChannelService {

    /**
     * 根据渠道标识获取渠道id
     *
     * @return : 获取渠道id
     */
    @Override
    public Long getByChannelSign(String channelSign) {
        if (Strings.isBlank(channelSign)) {
            return 0L;
        }
        Channel channel = this.getOne(new LambdaQueryWrapper<Channel>().eq(Channel::getChannelSign, channelSign));
        if (channel == null) {
            return 0L;
        }
        return channel.getId();
    }
}
